Bug 1178 - Problems when two classes are defined in one file
Problems when two classes are defined in one file
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Code
3.x
All All
: P4 (vote)
: TBD
Assigned To: Jiri Hanus
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-12 01:13 UTC by Jiri Hanus
Modified: 2003-07-02 16:02 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Hanus 1999-02-12 01:13:02 UTC
When two classes are implemented in one file, there are some problems with
*Debugger - tracing the "hidden" class causes `Unavailable source` in debugger
*Explorer-Repository
   eg.: file myclass.java in directory /home/jhanus/test:
       class temp ... { ... }
       public class myclass ... { ... }
    then, repository looks like this:
       repository - /home/jhanus/test
                - myclass		// OK
                    - class temp	// ?OK?

                    - class myclass	// OK
                - temp		// ?
Comment 1 Marek Grummich 2000-07-25 09:16:59 UTC
Priority is changed to P4 (normal).
Comment 2 Jan Stola 2001-03-15 14:04:16 UTC
Verified in Pilsen 010301 and Forte 2.0 (build 1160)
Comment 3 Quality Engineering 2003-07-02 16:02:08 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo